Package commoble.morered.plate_blocks

# Class LogicFunctions

java.lang.Object
commoble.morered.plate_blocks.LogicFunctions

public class LogicFunctions extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final LogicFunction`
`A_NOR_A_NOR_C`
`static final LogicFunction`
`AND`
`static final LogicFunction`
`AND_2`
`static final LogicFunction`
`C_NOR_A_NOR_C`
`static final LogicFunction`
`FALSE`
`static final LogicFunction`
`INPUT_A`
`static final LogicFunction`
`INPUT_B`
`static final LogicFunction`
`INPUT_C`
`static final LogicFunction`
`MULTIPLEX`
`static final LogicFunction`
`NAND`
`static final LogicFunction`
`NAND_2`
`static final LogicFunction`
`NOR`
`static final LogicFunction`
`NOT_A`
`static final LogicFunction`
`NOT_B`
`static final LogicFunction`
`NOT_C`
`static final LogicFunction`
`OR`
`static final int`
`SET_LATCH`
`static final it.unimi.dsi.fastutil.ints.Int2ObjectMap<LogicFunction>`
`TINTINDEXES`
`static final LogicFunction`
`TRUE`
`static final int`
`UNSET_LATCH`
`static final LogicFunction`
`XNOR_AC`
`static final LogicFunction`
`XOR_AC`

## Constructor Summary

Constructors
Constructor
Description
`LogicFunctions()`

## Method Summary

Modifier and Type
Method
Description
`static LogicFunction`
`registerTintIndex(int index, LogicFunction function)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TINTINDEXES

public static final it.unimi.dsi.fastutil.ints.Int2ObjectMap<LogicFunction> TINTINDEXES

### FALSE

public static final LogicFunction FALSE

### TRUE

public static final LogicFunction TRUE

### INPUT_A

public static final LogicFunction INPUT_A

### INPUT_B

public static final LogicFunction INPUT_B

### INPUT_C

public static final LogicFunction INPUT_C

### NOT_A

public static final LogicFunction NOT_A

### NOT_B

public static final LogicFunction NOT_B

### NOT_C

public static final LogicFunction NOT_C

### AND

public static final LogicFunction AND

### NAND

public static final LogicFunction NAND

### OR

public static final LogicFunction OR

### NOR

public static final LogicFunction NOR

### XOR_AC

public static final LogicFunction XOR_AC

### XNOR_AC

public static final LogicFunction XNOR_AC

### MULTIPLEX

public static final LogicFunction MULTIPLEX

### A_NOR_A_NOR_C

public static final LogicFunction A_NOR_A_NOR_C

### C_NOR_A_NOR_C

public static final LogicFunction C_NOR_A_NOR_C

### SET_LATCH

public static final int SET_LATCH

See Also:
  - Constant Field Values

### UNSET_LATCH

public static final int UNSET_LATCH

See Also:
  - Constant Field Values

### AND_2

public static final LogicFunction AND_2

### NAND_2

public static final LogicFunction NAND_2

## Constructor Details

### LogicFunctions

public LogicFunctions()

## Method Details

### registerTintIndex

public static LogicFunction registerTintIndex(int index, LogicFunction function)